import pyglet
from pyglet.gl import *

import image
import help_screen
import entities
import sound
from constants import *

def move_to_screen(new, current):
    new.set_location(current.get_location()[0], current.get_location()[1])

menu_screen = pyglet.window.Window()
move_to_screen(help_screen.help_screen, menu_screen)
help_screen.help_screen.set_visible(visible=False)


#menu
menu = image.load('menu')

# looping background music
sound_raggaman = sound.load("raggaman__3er-ding-0")

player = pyglet.media.Player()
player.eos_action = pyglet.media.Player.EOS_LOOP
player.queue(sound_raggaman)
player.volume = 0.2
player.play()

#detect in area of 'play' button
def play_button(x, y):
    if x > 274 and x < 360 and y > 193 and y < 231:
        return True
    else:
        return False

#detect in area of 'help' button
def help_button(x, y):
    if x > 256 and x < 382 and y > 105 and y < 141:
        return True
    else:
        return False

@menu_screen.event
def on_mouse_press(x, y, button, modifiers):
    if play_button(x, y):
        import game_screen
        player.pause()
        move_to_screen(game_screen.window, menu_screen)
        menu_screen.close()
        help_screen.help_screen.close()
    if help_button(x, y):
        menu_screen.set_visible(visible=False)
        help_screen.help_screen.set_visible()

@menu_screen.event
def on_draw():
    menu_screen.clear()
    menu.blit(0,0)

def main():
    pyglet.app.run()
